Bug 1466738 - python-datanommer-models: Provide a Python 3 subpackage
Summary: python-datanommer-models: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-datanommer-models
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-06-30 11:04 UTC by Iryna Shcherbina
Modified: 2018-04-15 14:43 UTC (History)
3 users (show)

Fixed In Version: python-datanommer-models-0.9.1-3.fc28 python-datanommer-models-0.9.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 22:56:39 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-06-30 11:04:17 UTC
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://github.com/fedora-infra/datanommer/blob/develop/datanommer.models/setup.py#L52
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2017-08-15 08:26:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Jan Beran 2018-03-19 10:07:36 UTC
Hi Ralph,

please, do you consider to bump the new datanommer.models release on pipy which would include the last Python 3 fixes merged already on GitHub?

Comment 3 Ralph Bean 2018-04-04 19:36:58 UTC
Apologies for the delay.

Comment 4 Fedora Update System 2018-04-04 19:37:10 UTC
python-datanommer-models-0.9.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9db8d3c0f6

Comment 5 Fedora Update System 2018-04-04 19:51:07 UTC
python-datanommer-models-0.9.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd8a93bbb6

Comment 6 Fedora Update System 2018-04-05 16:03:52 UTC
python-datanommer-models-0.9.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd8a93bbb6

Comment 7 Fedora Update System 2018-04-06 02:31:43 UTC
python-datanommer-consumer-0.8.1-2.fc28, python-datanommer-models-0.9.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9db8d3c0f6

Comment 8 Fedora Update System 2018-04-06 02:56:56 UTC
python-datanommer-consumer-0.8.1-2.fc28 python-datanommer-models-0.9.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9db8d3c0f6

Comment 9 Fedora Update System 2018-04-06 18:54:18 UTC
datanommer-commands-0.7.2-1.fc28, python-datanommer-consumer-0.8.1-2.fc28, python-datanommer-models-0.9.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9db8d3c0f6

Comment 10 Fedora Update System 2018-04-10 22:56:39 UTC
datanommer-commands-0.7.2-1.fc28, python-datanommer-consumer-0.8.1-2.fc28, python-datanommer-models-0.9.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-04-15 14:43:34 UTC
python-datanommer-models-0.9.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.